Index: /branches/gui/src/lib/gui/gl_gui/glgui_checkbutton.cc
===================================================================
--- /branches/gui/src/lib/gui/gl_gui/glgui_checkbutton.cc	(revision 8116)
+++ /branches/gui/src/lib/gui/gl_gui/glgui_checkbutton.cc	(revision 8117)
@@ -96,8 +96,8 @@
       glBegin(GL_QUADS);
       glColor3f( 1, 1 ,1);
-      glTexCoord2i(0,0); glVertex2d(8, 8);
-      glTexCoord2i(0,1); glVertex2d(8, this->getSizeY2D()-8);
-      glTexCoord2i(1,1); glVertex2d(this->getSizeY2D()-8, this->getSizeY2D()-8);
-      glTexCoord2i(1,0); glVertex2d(this->getSizeY2D()-8, 8);
+      glTexCoord2i(0,0); glVertex2d(borderLeft()+8, borderTop()+8);
+      glTexCoord2i(0,1); glVertex2d(borderLeft() + 8, this->getSizeY2D()-8 - (borderTop() + borderBottom()));
+      glTexCoord2i(1,1); glVertex2d(this->getSizeY2D()-8 +borderLeft(), this->getSizeY2D()-8- (borderTop() + borderBottom()));
+      glTexCoord2i(1,0); glVertex2d(this->getSizeY2D()-8 +borderLeft(), borderTop()+8);
       glEnd();
 
@@ -107,15 +107,15 @@
       glLineWidth(3.0);
       glBegin(GL_LINE_LOOP);
-      glVertex2d(8,8);
-      glVertex2d(this->getSizeY2D()/2, this->getSizeY2D()/2 - 1);
+      glVertex2d(borderLeft()+8,borderTop() +8);
+      glVertex2d(this->getSizeY2D()/2 + borderLeft(), this->getSizeY2D()/2 - 1);
 
-      glVertex2d(this->getSizeY2D() -8, 8);
-      glVertex2d(this->getSizeY2D()/2 +1, this->getSizeY2D()/2);
+      glVertex2d(this->getSizeY2D()-8 + borderLeft(), borderTop()+8);
+      glVertex2d(this->getSizeY2D()/2 +1 + borderLeft(), this->getSizeY2D()/2);
 
-      glVertex2d(this->getSizeY2D() -8, this->getSizeY2D() - 8);
-      glVertex2d(this->getSizeY2D()/2, this->getSizeY2D()/2+1);
+      glVertex2d(this->getSizeY2D()-8 + borderLeft(), this->getSizeY2D()-8- (borderTop() + borderBottom()));
+      glVertex2d(this->getSizeY2D()/2 + borderLeft(), this->getSizeY2D()/2+1);
 
-      glVertex2d(8, this->getSizeY2D() - 8);
-      glVertex2d(this->getSizeY2D()/2 -1, this->getSizeY2D()/2);
+      glVertex2d(borderLeft() + 8, this->getSizeY2D()-8 - (borderTop() + borderBottom()));
+      glVertex2d(this->getSizeY2D()/2 -1 + borderLeft(), this->getSizeY2D()/2);
       glEnd();
     }
@@ -124,8 +124,8 @@
       glBegin(GL_QUADS);
       glColor3f(0, 0, 0);
-      glTexCoord2i(0,0); glVertex2d(8, 8);
-      glTexCoord2i(0,1); glVertex2d(8, this->getSizeY2D()-8);
-      glTexCoord2i(1,1); glVertex2d(this->getSizeY2D()-8, this->getSizeY2D()-8);
-      glTexCoord2i(1,0); glVertex2d(this->getSizeY2D()-8, 8);
+      glTexCoord2i(0,0); glVertex2d(borderLeft()+8, borderTop()+8);
+      glTexCoord2i(0,1); glVertex2d(borderLeft()+ 8, this->getSizeY2D()-8 - (borderTop() + borderBottom()));
+      glTexCoord2i(1,1); glVertex2d(this->getSizeY2D()-8 +borderLeft(), this->getSizeY2D()-8- (borderTop() + borderBottom()));
+      glTexCoord2i(1,0); glVertex2d(this->getSizeY2D()-8 +borderLeft(), borderTop()+8);
       glEnd();
     }
Index: /branches/gui/src/lib/gui/gl_gui/glgui_image.cc
===================================================================
--- /branches/gui/src/lib/gui/gl_gui/glgui_image.cc	(revision 8116)
+++ /branches/gui/src/lib/gui/gl_gui/glgui_image.cc	(revision 8117)
@@ -75,5 +75,5 @@
   void GLGuiImage::resize()
   {
-    this->frontRect().setTopLeft(this->borderLeft(), this->borderRight());
+    this->frontRect().setTopLeft(this->borderLeft(), this->borderTop());
     this->frontRect().setSize(this->getSizeX2D() - (borderLeft() + borderRight()), this->getSizeY2D() - (borderTop() + borderBottom()) );
     GLGuiWidget::resize();
Index: /branches/gui/src/lib/gui/gl_gui/glgui_pushbutton.cc
===================================================================
--- /branches/gui/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 8116)
+++ /branches/gui/src/lib/gui/gl_gui/glgui_pushbutton.cc	(revision 8117)
@@ -49,5 +49,5 @@
 
     GLGuiWidget::resize();
-    this->frontRect().setTopLeft(borderLeft(), borderRight());
+    this->frontRect().setTopLeft(borderLeft(), borderTop());
     this->frontRect().setSize(this->getSizeX2D() - (borderLeft() + borderRight()), this->getSizeY2D() - (borderTop() + borderBottom()));
   }
Index: /branches/gui/src/lib/gui/gl_gui/glgui_slider.cc
===================================================================
--- /branches/gui/src/lib/gui/gl_gui/glgui_slider.cc	(revision 8116)
+++ /branches/gui/src/lib/gui/gl_gui/glgui_slider.cc	(revision 8117)
@@ -231,5 +231,5 @@
     this->drawRect(this->frontRect());
 
-    this->drawRect(Rect2D(this->sliderPosition()-_sliderWidth/2.0, borderLeft(), _sliderWidth, this->getSizeY2D() - (borderLeft() + borderRight())));
+    this->drawRect(Rect2D(this->sliderPosition()-_sliderWidth/2.0, borderTop(), _sliderWidth, this->getSizeY2D() - (borderTop() + borderBottom())));
 
     this->endDraw();
Index: /branches/gui/src/lib/gui/gl_gui/glgui_widget.cc
===================================================================
--- /branches/gui/src/lib/gui/gl_gui/glgui_widget.cc	(revision 8116)
+++ /branches/gui/src/lib/gui/gl_gui/glgui_widget.cc	(revision 8117)
@@ -69,5 +69,5 @@
     this->_frontMat.setDiffuse(1.0, 0.0, 0.0);
 
-    this->_borderLeft = 10.0;
+    this->_borderLeft = 50.0;
     this->_borderRight = 1.0;
     this->_borderTop = 1.0;