Index: /code/branches/kicklib/bin/client1.bat.in
===================================================================
--- /code/branches/kicklib/bin/client1.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/client1.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --client --writingPathSuffix client1
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --client --writingPathSuffix client1
 pause
Index: /code/branches/kicklib/bin/client2.bat.in
===================================================================
--- /code/branches/kicklib/bin/client2.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/client2.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --client --writingPathSuffix client2
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --client --writingPathSuffix client2
 pause
Index: /code/branches/kicklib/bin/dedicated.bat.in
===================================================================
--- /code/branches/kicklib/bin/dedicated.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/dedicated.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --dedicated --writingPathSuffix dedicated
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --dedicated --writingPathSuffix dedicated
 pause
Index: /code/branches/kicklib/bin/dedicatedClient.bat.in
===================================================================
--- /code/branches/kicklib/bin/dedicatedClient.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/dedicatedClient.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --dedicatedClient --writingPathSuffix dedicatedClient
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --dedicatedClient --writingPathSuffix dedicatedClient
 pause
Index: /code/branches/kicklib/bin/masterserver.bat.in
===================================================================
--- /code/branches/kicklib/bin/masterserver.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/masterserver.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --masterserver --writingPathSuffix masterserver
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --masterserver --writingPathSuffix masterserver
 pause
Index: /code/branches/kicklib/bin/run.bat.in
===================================================================
--- /code/branches/kicklib/bin/run.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/run.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@"
 pause
Index: /code/branches/kicklib/bin/server.bat.in
===================================================================
--- /code/branches/kicklib/bin/server.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/server.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --server --writingPathSuffix server
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --server --writingPathSuffix server
 pause
Index: /code/branches/kicklib/bin/standalone.bat.in
===================================================================
--- /code/branches/kicklib/bin/standalone.bat.in	(revision 8123)
+++ /code/branches/kicklib/bin/standalone.bat.in	(revision 8124)
@@ -1,4 +1,4 @@
 title @PROJECT_NAME@
-path @RUNTIME_LIBRARY_DIRECTORY_WINDOWS@;%path%
-@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@ --standalone --writingPathSuffix standalone
+path "@RUNTIME_LIBRARY_DIRECTORY_WINDOWS@";%path%
+"@CURRENT_RUNTIME_DIR_WINDOWS@\@ORXONOX_EXECUTABLE_NAME@" --standalone --writingPathSuffix standalone
 pause