Index: code/branches/mac_osx/cmake/PackageConfigOSX.cmake
===================================================================
--- code/branches/mac_osx/cmake/PackageConfigOSX.cmake	(revision 8128)
+++ code/branches/mac_osx/cmake/PackageConfigOSX.cmake	(revision 8133)
@@ -26,5 +26,5 @@
 INCLUDE(CheckPackageVersion)
 
-CHECK_PACKAGE_VERSION(1.0)
+CHECK_PACKAGE_VERSION(1.1)
 
 IF(NOT _INTERNAL_PACKAGE_MESSAGE)
Index: code/branches/mac_osx/src/Orxonox.cc
===================================================================
--- code/branches/mac_osx/src/Orxonox.cc	(revision 8128)
+++ code/branches/mac_osx/src/Orxonox.cc	(revision 8133)
@@ -63,13 +63,14 @@
 #ifndef ORXONOX_USE_WINMAIN
 
-// On Apples, the kernel supplies a second argument, which we have to circumvent
 #ifdef ORXONOX_PLATFORM_APPLE
-# define MAC_ARGC_HACK 2
+        // On Apples, the kernel supplies a second argument, which we have to circumvent
+        const int firstArgument = 2;
 #else
-# define MAC_ARGC_HACK 1
+        // 0 is the execution path
+        const int firstArgument = 1;
 #endif
-    
+        
         std::string strCmdLine;
-        for (int i = MAC_ARGC_HACK; i < argc; ++i)
+        for (int i = firstArgument; i < argc; ++i)
             strCmdLine = strCmdLine + argv[i] + ' ';
 #endif
Index: code/branches/mac_osx/src/OrxonoxMac.h
===================================================================
--- code/branches/mac_osx/src/OrxonoxMac.h	(revision 8128)
+++ code/branches/mac_osx/src/OrxonoxMac.h	(revision 8133)
@@ -1,9 +1,29 @@
-//
-//  OrxonoxMac.h
-//  Orxonox
-//
-//  Created by Kevin Jonas Young on 14.03.11.
-//  Copyright 2011 -. All rights reserved.
-//
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Kevin J. Young (youngk) 2011
+ *   Co-authors:
+ *      Fabian Landau (x3n)
+ *
+ */
 
 #import <Cocoa/Cocoa.h>
Index: code/branches/mac_osx/src/OrxonoxMac.mm
===================================================================
--- code/branches/mac_osx/src/OrxonoxMac.mm	(revision 8128)
+++ code/branches/mac_osx/src/OrxonoxMac.mm	(revision 8133)
@@ -1,9 +1,29 @@
-//
-//  OrxonoxMac.mm
-//  Orxonox
-//
-//  Created by Kevin Jonas Young on 14.03.11.
-//  Copyright 2011 -. All rights reserved.
-//
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Kevin J. Young (youngk) 2011
+ *   Co-authors:
+ *      Fabian Landau (x3n)
+ *
+ */
 
 #import "OrxonoxMac.h"