Index: branches/gui/src/lib/collision_reaction/cr_engine.h
===================================================================
--- branches/gui/src/lib/collision_reaction/cr_engine.h	(revision 8143)
+++ branches/gui/src/lib/collision_reaction/cr_engine.h	(revision 8144)
@@ -51,5 +51,5 @@
 
   /** @returns an instance to a collision object. instead of creating new object this ones can be resycled */
-inline Collision* getCollisionObject() { /* return the first element of the cache list*/ }
+  inline Collision* getCollisionObject() { /* return the first element of the cache list*/ }
   /** @param collision: returns the Collision object back to the cache list */
   inline void putCollisionObject(Collision* collision) { this->cachedCollisions.push_back(collision); }
Index: branches/gui/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- branches/gui/src/lib/graphics/importer/primitive_model.cc	(revision 8143)
+++ branches/gui/src/lib/graphics/importer/primitive_model.cc	(revision 8144)
@@ -104,5 +104,5 @@
 
   // defining the binding Faces.
-  unsigned int v1, v2, v3, v4;
+  int v1, v2, v3, v4;
   for (int i = 0; i <= detail * 2 -1; i++)
   {
@@ -235,5 +235,5 @@
     }
   //defining Faces
-  unsigned int v1, v2, v3, v4;
+  int v1, v2, v3, v4;
   for (int i = 0; i < detail-1; i++)
     for (int j = 0; j < detail-1; j++)
Index: branches/gui/src/lib/graphics/importer/texture.cc
===================================================================
--- branches/gui/src/lib/graphics/importer/texture.cc	(revision 8143)
+++ branches/gui/src/lib/graphics/importer/texture.cc	(revision 8144)
@@ -218,4 +218,5 @@
     this->setTexture(Texture::loadTexToGL(this->data->getStoredImage()));
   }
+  return true;
 }
 
Index: branches/gui/src/lib/graphics/importer/texture.h
===================================================================
--- branches/gui/src/lib/graphics/importer/texture.h	(revision 8143)
+++ branches/gui/src/lib/graphics/importer/texture.h	(revision 8144)
@@ -34,5 +34,5 @@
     bool setSurface(SDL_Surface* newSurface);
     /** @returns true if the Surface has an Alpha Value. */
-    bool setAlpha(bool hasAlpha) { this->bAlpha = hasAlpha; };
+    bool setAlpha(bool hasAlpha) { this->bAlpha = hasAlpha; return this->bAlpha; };
     bool setTexture(GLuint texture);
 
Index: branches/gui/src/lib/gui/gl/glgui_style.h
===================================================================
--- branches/gui/src/lib/gui/gl/glgui_style.h	(revision 8143)
+++ branches/gui/src/lib/gui/gl/glgui_style.h	(revision 8144)
@@ -1,5 +1,5 @@
 /*!
  * @file glgui_style.h
- * @brief Definition of ...
+ * @brief Definition of the OpenGL-GUI Style of a Class.
 */
 
@@ -19,11 +19,4 @@
   {
   public:
-    //! An enumerator that defines the different states Widgets may be in.
-    typedef enum {
-      Normal,           //!< Normal state of the GUI's Widgets.
-      Active,           //!< If the widget is Active.
-      Selected,         //!< If the Widget is Selected.
-      Insensitive       //!< If the Widget is insensitive.
-    } State;
 
     //! Where a Certain feature will be positioned at.
@@ -35,4 +28,6 @@
     } FeaturePosition;
 
+
+
   public:
     GLGuiStyle();
@@ -41,5 +36,4 @@
 
   private:
-
     float             _borderLeft;           //!< The Distance to the left Border of the widget, before any internal Element starts.
     float             _borderRight;          //!< The Distance to the right Border of the widget, before any internal Element starts.
Index: branches/gui/src/lib/gui/gl/glgui_widget.h
===================================================================
--- branches/gui/src/lib/gui/gl/glgui_widget.h	(revision 8143)
+++ branches/gui/src/lib/gui/gl/glgui_widget.h	(revision 8144)
@@ -35,5 +35,16 @@
    */
   class GLGuiWidget : public Element2D
-  {
+{
+  public:
+  //! An enumerator that defines the different states Widgets may be in.
+  typedef enum {
+    Normal,           //!< Normal state of the GUI's Widgets.
+    Active,           //!< If the widget is Active.
+    Selected,         //!< If the Widget is Selected.
+    Insensitive       //!< If the Widget is insensitive.
+  } State;
+
+
+
   public:
     GLGuiWidget(GLGuiWidget* parent = NULL);
Index: branches/gui/src/lib/gui/qt/gui_general.cc
===================================================================
--- branches/gui/src/lib/gui/qt/gui_general.cc	(revision 8143)
+++ branches/gui/src/lib/gui/qt/gui_general.cc	(revision 8144)
@@ -41,5 +41,5 @@
   */
   GuiGeneral::GuiGeneral(OrxGui::Gui* gui)
-      : Element(CONFIG_SECTION_GENERAL, gui), QGroupBox()
+  : QGroupBox(), Element(CONFIG_SECTION_GENERAL, gui)
   {
     QGridLayout* layout = new QGridLayout(this);
Index: branches/gui/src/lib/lang/base_object.cc
===================================================================
--- branches/gui/src/lib/lang/base_object.cc	(revision 8143)
+++ branches/gui/src/lib/lang/base_object.cc	(revision 8144)
@@ -154,4 +154,6 @@
   if (classID != CL_NULL)
     return this->isA(classID);
+  else
+    return false;
 }
 
Index: branches/gui/src/lib/lang/class_list.cc
===================================================================
--- branches/gui/src/lib/lang/class_list.cc	(revision 8143)
+++ branches/gui/src/lib/lang/class_list.cc	(revision 8144)
@@ -335,5 +335,5 @@
   PRINT(0)("| knows %d Classes\n|\n", ClassList::classList->size());
   char niceString[100];
-  unsigned int lenCount = 0;
+  int lenCount = 0;
 
   list<ClassList>::iterator cl;
Index: branches/gui/src/lib/math/vector.h
===================================================================
--- branches/gui/src/lib/math/vector.h	(revision 8143)
+++ branches/gui/src/lib/math/vector.h	(revision 8144)
@@ -79,6 +79,6 @@
   inline const Vector& operator= (const Vector& v) { this->x = v.x; this->y = v.y; this->z = v.z; return *this; };
   /** copy constructor* @param v the sVec3D to assign to this vector. @returns the vector v */
-  inline const Vector& operator= (const sVec3D& v) { this->x = v[0]; this->y = v[1]; this->z = v[2]; }
-  inline const Vector& operator= (const float* v) { this->x = v[0]; this->y = v[1]; this->z = v[2]; }
+  inline const Vector& operator= (const sVec3D& v) { this->x = v[0]; this->y = v[1]; this->z = v[2]; return *this; }
+  inline const Vector& operator= (const float* v) { this->x = v[0]; this->y = v[1]; this->z = v[2]; return *this; }
   /** @param v: the other vector \return the dot product of the vectors */
   float dot (const Vector& v) const { return x*v.x+y*v.y+z*v.z; };
Index: branches/gui/src/lib/shell/shell_buffer.cc
===================================================================
--- branches/gui/src/lib/shell/shell_buffer.cc	(revision 8143)
+++ branches/gui/src/lib/shell/shell_buffer.cc	(revision 8144)
@@ -64,5 +64,5 @@
    * @param line the Line as in the first argument in printf
    */
-  bool ShellBuffer::addBufferLineStatic(const char* line, ...)
+  void ShellBuffer::addBufferLineStatic(const char* line, ...)
   {
     static OrxThread::Mutex ShellBuffer__bufferMutex;
@@ -85,5 +85,4 @@
 #endif
       ShellBuffer::singletonRef->addBufferLine(ShellBuffer::bufferArray);
-    return true;
   }
 
Index: branches/gui/src/lib/shell/shell_buffer.h
===================================================================
--- branches/gui/src/lib/shell/shell_buffer.h	(revision 8143)
+++ branches/gui/src/lib/shell/shell_buffer.h	(revision 8144)
@@ -32,5 +32,5 @@
     inline static bool isInstanciated() { return (ShellBuffer::singletonRef == NULL)?false:true; };
 
-    static bool addBufferLineStatic(const char* line, ...);
+    static void addBufferLineStatic(const char* line, ...);
     void addBufferLine(const char* line);
 
Index: branches/gui/src/lib/shell/shell_command.h
===================================================================
--- branches/gui/src/lib/shell/shell_command.h	(revision 8143)
+++ branches/gui/src/lib/shell/shell_command.h	(revision 8144)
@@ -34,6 +34,4 @@
    * $ ClassName [ObjectName] commandNameInShell [parameters]
    */
-  //#define SHELL_COMMAND(command, class, function) \
-  //        ShellCommand* shell_command_##class##_##command = ShellCommand<class>::registerCommand(#command, #class, &class::function)
 #define SHELL_COMMAND(command, class, function) \
            OrxShell::ShellCommand* shell_command_##class##_##command = OrxShell::ShellCommand::registerCommand(#command, #class, createExecutor<class>(&class::function))
Index: branches/gui/src/lib/util/count_pointer.h
===================================================================
--- branches/gui/src/lib/util/count_pointer.h	(revision 8143)
+++ branches/gui/src/lib/util/count_pointer.h	(revision 8144)
@@ -11,5 +11,5 @@
     explicit CountPointer(X* p = 0) // allocate a new counter
         : itsCounter(0) { if (p) itsCounter = new counter(p); }
-    ~CountPointer() { release(); }
+    virtual ~CountPointer() { release(); }
     CountPointer(const CountPointer& r) { acquire(r.itsCounter); }
     CountPointer& operator=(const CountPointer& r)