Index: /code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw
===================================================================
--- /code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw	(revision 8155)
+++ /code/branches/lastmanstanding3/data/levels/TEAMstanding.oxw	(revision 8155)
@@ -0,0 +1,217 @@
+<LevelInfo
+ name = "TEAMstanding"
+ description = "Survive as a team."
+ tags = ""
+/>
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("lastTeamStandingHUD.oxo")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<Level
+ name         = "TEAMstanding"
+ description  = "testmap for gametype last team standing"
+ gametype     =  "TeamDeathmatch"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skypanoramagen1"
+  >
+<!-- TODO:
+1. make collisionshapes bulletproof: -> attach movable entity with dynamic collisionshape within a static collisionshape 
+2. add forcefields -> there should be several "streams" through the level
+3. add teamspawnpoints (different spaceships?) (where should the spawnpoints be placed?)
+-->
+<!--Bot / -->
+
+<!-------------------- Box: TopLayer + BottomLayer + 4 invisible Walls --------------------->
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,-400,0" mesh="cube_orange.mesh" scale3D="1000,10,1000" />
+           <Model position="0,-420,0" mesh="cube_orange.mesh" scale3D="1000,10,1000" /><!-- Second Model in order to avoid graphic errors-->
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,-400,0" halfExtents="1500,10,1500" />
+       </collisionShapes>
+   </StaticEntity>
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,400,0" mesh="cube_orange.mesh" scale3D="1000,10,1000" />
+           <Model position="0,420,0" mesh="cube_orange.mesh" scale3D="1000,10,1000" />
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,400,0" halfExtents="1000,10,1000" />
+       </collisionShapes>
+   </StaticEntity>
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <!--Model position="1000,0,0" mesh="cube_green.mesh" scale3D="10,400,1000" /-->
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="1000,0,0" halfExtents="10,400,1000" />
+       </collisionShapes>
+   </StaticEntity>
+
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <!-- Model position="-1000,0,0" mesh="cube_green.mesh" scale3D="10,400,1000" / -->
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="-1000,0,0" halfExtents="10,400,1000" />
+       </collisionShapes>
+   </StaticEntity>
+
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,1000" mesh="cube_green.mesh" scale3D="1000,400,10" />
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,1000" halfExtents="1000,400,10" />
+       </collisionShapes>
+   </StaticEntity>
+
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,-1000" mesh="cube_green.mesh" scale3D="1000,400,10" />
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,-1000" halfExtents="1000,400,10" />
+       </collisionShapes>
+   </StaticEntity>
+
+<!-------------- Thin Gate -------------->
+
+   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,-1200,0" mesh="hs-w01.mesh" scale3D="300,400,900" pitch="90" roll="0" yaw="0"/>
+           <!--Model position="121,0,-80" mesh="cube.mesh" scale3D="18,400,18" />
+           <Model position="-121,0,-80" mesh="cube.mesh" scale3D="18,400,18" /-->
+           <Model position="0,0,-80" scale=150 mesh="sphere.mesh" />
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="121,0,-80" halfExtents="18,400,18" />
+           <BoxCollisionShape position="-121,0,-80" halfExtents="18,400,18" />
+           <SphereCollisionShape position="0,0,-80" radius="150" />
+       </collisionShapes>
+   </StaticEntity>
+
+   <!-- TEST FAILED - You can't put a dynamic collisionshape into a static collisionshape -->
+   <!--MovableEntity position="0,0,-80" collisionType=dynamic linearDamping=0.8 angularDamping=0 >
+       <attached>
+           <Model position="0,0,0" scale=140 mesh="sphere.mesh" />
+       </attached>
+       <collisionShapes>
+           <SphereCollisionShape position="0,0,0" radius="140" />
+       </collisionShapes>
+    </MovableEntity>
+
+   <MovableEntity position="0,0,0" collisionType=dynamic linearDamping=0.8 angularDamping=0 >
+       <attached>
+           <Model position="0,-1200,0" mesh="hs-w01.mesh" scale3D="299,399,899" pitch="90" roll="0" yaw="0"/>
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="121,0,-80" halfExtents="15,370,15" />
+           <BoxCollisionShape position="-121,0,-80" halfExtents="15,370,15" />
+       </collisionShapes>
+    </MovableEntity-->
+
+<!-------------- Bulk Gate -------------->
+   <StaticEntity position="300,0,500" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,-100,0" mesh="hs-w01.mesh" scale3D="500,400,600" pitch="270" roll="0" yaw="0"/>
+       </attached>
+       <!--collisionShapes>
+           <BoxCollisionShape position="0,0,-1000" halfExtents="1000,400,10" />
+       </collisionShapes-->
+   </StaticEntity>
+
+<!-------------- Bar -------------->
+   <StaticEntity position="-495,0,-495" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="20,720,20" pitch="90" roll="45" yaw="0"/>
+           <!--Model position="0,0,0" mesh="cube.mesh" scale3D="19,719,19" pitch="90" roll="45" yaw="0"/-->
+       </attached>
+
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,0" halfExtents="20,720,20" pitch="90" roll="45" yaw="0"/>
+       </collisionShapes>
+   </StaticEntity>
+
+
+<!-------------- 2 Side-Bars -------------->
+   <StaticEntity position="0,0,-1000" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="20,405,20" pitch="0" roll="10" yaw="0"/>
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,0" halfExtents="20,400,20" pitch="0" roll="0" yaw="0"/>
+       </collisionShapes>
+   </StaticEntity>
+   <StaticEntity position="-1000,0,0" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="20,405,20" pitch="7" roll="0" yaw="0"/>
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,0" halfExtents="20,400,20" pitch="0" roll="0" yaw="0"/>
+       </collisionShapes>
+   </StaticEntity>
+
+<!-------------- 3 Solar Panels --------------->
+
+<?lua
+for i = 1, 3, 1
+do
+    x = i/4*1000
+    z = i/4*500
+?>
+   <StaticEntity position="<?lua print(-1000+x) ?>,-310,<?lua print(z) ?>" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,0" mesh="SolarPanel.mesh" scale3D="60,80,30" pitch="0" roll="0" yaw="120"/>
+       </attached>
+       <!--collisionShapes>
+           <BoxCollisionShape position="0,0,0" halfExtents="20,400,20" pitch="0" roll="0" yaw="0"/>
+       </collisionShapes-->
+   </StaticEntity>
+<?lua end ?>
+
+<!-------------- ???? --------------->
+   <StaticEntity position="500,0,-500" direction="0,0,0" collisionType=static mass=100000 >
+       <attached>
+           <Model position="0,0,0" mesh="plane.mesh" scale=20  pitch="7" roll="0" yaw="0"/>
+       </attached>
+       <collisionShapes>
+           <BoxCollisionShape position="0,0,0" halfExtents="20,400,20" pitch="0" roll="0" yaw="0"/>
+       </collisionShapes>
+   </StaticEntity>
+
+
+<?lua
+max = 16
+for i = 0, max, 1
+do
+    y = math.sin(i/max*6)*500
+    z = math.cos(i/max*6)*500
+    j = 1
+?>
+
+    <TeamSpawnPoint team=<?lua print( math.mod(i,4)) ?> position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+<?lua end ?>
+
+  </Scene>
+</Level>
+