Index: data/pool/audio/ambient/default/AUTHORS
===================================================================
--- data/pool/audio/ambient/default/AUTHORS	(revision 8157)
+++ data/pool/audio/ambient/default/AUTHORS	(revision 8157)
@@ -0,0 +1,16 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                  Author
+allgorythm-lift_up.ogg                All-Go-Rhythm - Thierry Zaugg (www.bediff.com)
+allgorythm-resonance_blaster.ogg      All-Go-Rhythm - Thierry Zaugg (www.bediff.com)
+AlphaCentauri.ogg                     Kevin Young
+Asteroid_rocks.ogg                    Kevin Young - Samples (License: CC Sampling+) from: ERH (Cinematic Deep Bass Rumble) and Jovica (ESERBEZE Granular Scape 22)
+Earth.ogg                             Kevin Young
+Fight1.ogg                            Kevin Young
+Ganymede.ogg                          Kevin Young - Samples (License: CC Sampling+) from: yewbic (Ambience 3)
+Jupiter.ogg                           Kevin Young - Samples (License: CC Sampling+) from: yewbic (Ambience 3)
+luke_grey_-_hypermode.ogg             Lukas Grauer
+mainmenu.ogg                          Raphaël Jecker
+Mars.ogg                              Kevin Young
+Nebula_metal.ogg                      Kevin Young - Samples (License: CC Sampling+) from: Sea Fury (Zap2) and Digifishmusic (Infinite Thunder)
+
Index: data/pool/audio/ambient/dnb/AUTHORS
===================================================================
--- data/pool/audio/ambient/dnb/AUTHORS	(revision 8157)
+++ data/pool/audio/ambient/dnb/AUTHORS	(revision 8157)
@@ -0,0 +1,13 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                      Author
+AlphaCentauri.ogg                         Blal - Carnivore (Shadow Infestation EP), Licence: CC by-nc-nd 2.5
+Asteroid_rocks.ogg                        Kevin Young - Samples (License: CC Sampling+) from: ERH (Cinematic Deep Bass Rumble) and Jovica (ESERBEZE Granular Scape 22)
+Earth.ogg                                 403 - Unmute (Unmute EP), License: CC by-nc-sa 3.0
+Fight1.ogg                                Throttler - Obey (Shadow Infestation EP), Licence: CC by-nc-nd 2.5 	
+Ganymede.ogg                              Nekura - Not Now (Shadow Infestation EP), Licence: CC by-nc-nd 2.5
+Jupiter.ogg                               ICR - Even When Your Shadow Leaves You (ICR), Licence: CC by-nc-nd 2.5, www.exegene.com
+mainmenu.ogg                              ICR - Shinumade Tatakau (ICR), Licence: CC by-nc-nd 2.5, www.exegene.com
+Mars.ogg                                  Medium - Dead Effect (Shadow Infestation EP), Licence: CC by-nc-nd 2.5
+Nebula_metal.ogg                          Kevin Young - Samples (License: CC Sampling+) from: Sea Fury (Zap2) and Digifishmusic (Infinite Thunder)
+
Index: data/pool/audio/ambient/eightbit/AUTHORS
===================================================================
--- data/pool/audio/ambient/eightbit/AUTHORS	(revision 8157)
+++ data/pool/audio/ambient/eightbit/AUTHORS	(revision 8157)
@@ -0,0 +1,13 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                 Author
+AlphaCentauri.ogg                    Dr. Zilog - Sanguinary Sect Of Worship (All Hallows Eve in 8bit Hell), License: CC by-nc-sa 3.0 US
+Asteroid_rocks.ogg                   Kevin Young - Samples (License: CC Sampling+) from: ERH (Cinematic Deep Bass Rumble) and Jovica (ESERBEZE Granular Scape 22)
+Earth.ogg                            Erik Skiff- We're The Resistors (Resistor Anthems), License: CC by 3.0 US
+Fight1.ogg                           Baphomania - Roaming Spectral Shores (All Hallows Eve in 8bit Hell), License: CC by-nc-sa 3.0 US	
+Ganymede.ogg                         Erik Skiff- All Of Us (Resistor Anthems), License: CC by 3.0 US
+Jupiter.ogg                          NESMETAL - The Throes Of Wickedness (All Hallows Eve in 8bit Hell), License: CC by-nc-sa 3.0 US
+mainmenu.ogg                         H-Pizzle - Ghosts Of A Fallen Empire (All Hallows Eve in 8bit Hell), License: CC by-nc-sa 3.0 US
+Mars.ogg                             Erik Skiff- Underclocked (Resistor Anthems), License: CC by 3.0 US
+Nebula_metal.ogg                     Kevin Young - Samples (License: CC Sampling+) from: Sea Fury (Zap2) and Digifishmusic (Infinite Thunder)
+
Index: data/pool/audio/ambient/jazzy/AUTHORS
===================================================================
--- data/pool/audio/ambient/jazzy/AUTHORS	(revision 8157)
+++ data/pool/audio/ambient/jazzy/AUTHORS	(revision 8157)
@@ -0,0 +1,13 @@
+﻿Here we list the authors of all the media files in this directory (and possibly sub-directories). All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                     Author
+AlphaCentauri.ogg                        cdk - Midnight Theme (cdk mix), License: CC by 3.0
+Asteroid_rocks.ogg                       KCentric - OxyMoron, License: CC by 3.0
+Earth.ogg                                echoed - Window like, License: CC by 3.0
+Fight1.ogg                               Damian Frick - Samples (License: CC by 3.0) from: stefsax - Awel
+Ganymede.ogg                             cdk - pieces of life, License: CC by 3.0
+Jupiter.ogg                              gurdonark - Caper, CC by 3.0
+mainmenu.ogg                             Citizen Nyx - Undercover, License: CC by 3.0                       
+Mars.ogg                                 shragrugge - Sax, Flute, n Glass, License: CC by 3.0
+Nebula_metal.ogg                         Coriolis Effect - Mseq, License: CC by 3.0
+