Index: data/pool/models/AUTHORS
===================================================================
--- data/pool/models/AUTHORS	(revision 8158)
+++ data/pool/models/AUTHORS	(revision 8159)
@@ -4,18 +4,18 @@
 assff/assff.mesh                              Felix Schulthess
 assff/assff_lod_med.mesh                      Oliver Scheuss
-ast1.mesh                                     unknown
-ast2.mesh                                     unknown
-ast3.mesh                                     unknown
-ast4.mesh                                     unknown
-ast5.mesh                                     unknown
-ast6.mesh                                     unknown
-asteroid1.mesh                                Benjamin de Capitani
-asteroid2.mesh                                Benjamin de Capitani
-asteroid3.mesh                                Benjamin de Capitani
-asteroid4.mesh                                Benjamin de Capitani
-asteroid.mesh                                 Benjamin de Capitani
-asteroid_UV_lq.mesh                           Benjamin de Capitani
-asteroid_ice.mesh                             Benjamin de Capitani
-asteroid_UV.mesh                              Benjamin de Capitani
+asteroids/plain/asteroid1.mesh                Benjamin de Capitani
+asteroids/plain/asteroid2.mesh                Benjamin de Capitani
+asteroids/plain/asteroid3.mesh                Benjamin de Capitani
+asteroids/plain/asteroid4.mesh                Benjamin de Capitani
+asteroids/plain/asteroid.mesh                 Benjamin de Capitani
+asteroids/rocky/ast1.mesh                     unknown
+asteroids/rocky/ast2.mesh                     unknown
+asteroids/rocky/ast3.mesh                     unknown
+asteroids/rocky/ast4.mesh                     unknown
+asteroids/rocky/ast5.mesh                     unknown
+asteroids/rocky/ast6.mesh                     unknown
+asteroids/asteroid_UV_lq.mesh                 Benjamin de Capitani
+asteroids/asteroid_ice.mesh                   Benjamin de Capitani
+asteroids/asteroid_UV.mesh                    Benjamin de Capitani
 axes.mesh                                     Felix Schulthess
 BodyDebris1.mesh                              Benjamin de Capitani
Index: data/pool/models/assff/info.xml
===================================================================
--- data/pool/models/assff/info.xml	(revision 8158)
+++ data/pool/models/assff/info.xml	(revision 8159)
@@ -1,7 +1,7 @@
 <info>
-<name>Assff</name>
-<author>Felix Schulthess</author>
-<author>Oliver Scheuss</author>
-<dependency>materials/assff.material</dependency>
-<dependency>images/textures/assff.JPG</dependency>
+    <name>Assff</name>
+    <author>Felix Schulthess</author>
+    <author>Oliver Scheuss</author>
+    <dependency>materials/assff.material</dependency>
+    <dependency>images/textures/assff.JPG</dependency>
 </info>
Index: data/pool/models/asteroids/plain/TODO
===================================================================
--- data/pool/models/asteroids/plain/TODO	(revision 8159)
+++ data/pool/models/asteroids/plain/TODO	(revision 8159)
@@ -0,0 +1,4 @@
+* Material file needed for asteroid.mesh?
+* Add .blend files.
+* Add texture source files.
+* Add screenshots. 
Index: data/pool/models/asteroids/plain/info.xml
===================================================================
--- data/pool/models/asteroids/plain/info.xml	(revision 8159)
+++ data/pool/models/asteroids/plain/info.xml	(revision 8159)
@@ -0,0 +1,6 @@
+<info>
+    <name>Asteroid</name>
+    <author>Benjamin de Capitani</author>
+    <dependency>materials/asteroid_y.material</dependency>
+    <dependency>images/textures/assff.JPG</dependency>
+</info>
Index: data/pool/models/asteroids/rocky/TODO
===================================================================
--- data/pool/models/asteroids/rocky/TODO	(revision 8159)
+++ data/pool/models/asteroids/rocky/TODO	(revision 8159)
@@ -0,0 +1,4 @@
+* Add author.
+* Add screenshots.
+* Add .blend files.
+* Add tetxure source files.
Index: data/pool/models/asteroids/rocky/info.xml
===================================================================
--- data/pool/models/asteroids/rocky/info.xml	(revision 8159)
+++ data/pool/models/asteroids/rocky/info.xml	(revision 8159)
@@ -0,0 +1,5 @@
+<info>
+    <name>Asteroid</name>
+    <dependency>materials/rock.material</dependency>
+    <dependency>images/textures/rock.png</dependency>
+</info>