Index: data/pool/models/AUTHORS
===================================================================
--- data/pool/models/AUTHORS	(revision 8159)
+++ data/pool/models/AUTHORS	(revision 8160)
@@ -18,21 +18,31 @@
 asteroids/asteroid_ice.mesh                   Benjamin de Capitani
 asteroids/asteroid_UV.mesh                    Benjamin de Capitani
-axes.mesh                                     Felix Schulthess
-BodyDebris1.mesh                              Benjamin de Capitani
+debris/assff/BodyDebris1.mesh                 Benjamin de Capitani
+debris/assff/CockpitDebris.mesh               Benjamin de Capitani
+debris/assff/SmallPart1.mesh                  Benjamin de Capitani
+debris/assff/SmallPart2.mesh                  Benjamin de Capitani
+debris/assff/WingDebris2.mesh                 Benjamin de Capitani
+debris/assff/WingDebris1.mesh                 Benjamin de Capitani
+primitives/axes/axes.mesh                     Felix Schulthess
+primitives/cone/Cone.mesh                     Felix Schulthess
+primitives/cube/cube.mesh                     Felix Schulthess
+primitives/cube/cube_green.mesh               Reto Grieder
+primitives/cube/cube_orange.mesh              Reto Grieder
+primitives/cube/cube_red.mesh                 Reto Grieder
+primitives/plane/plane.mesh                   Reto Grieder
+primitives/sphere/sphere.mesh                 Felix Schulthess
+spacestation/CuboidBody.mesh                  Mirko Kaiser
+spacestation/CuboidConnBody.mesh              Mirko Kaiser
+spacestation/CuboidConnection.mesh            Mirko Kaiser
+spacestation/CuboidLandingZone.mesh           Mirko Kaiser
+spacetstaion/DoubleCuboidBody.mesh            Mirko Kaiser
+spacestation/satellitedish.mesh               Mirko Kaiser
+spacestation/SemiCircleCockpit.mesh           Mirko Kaiser
+spacestation/SolarPanel.mesh                  Mirko Kaiser
+spacestation/Thruster.mesh                    Mirko Kaiser
 can.mesh                                      Hagen Seifert
 Carrier.mesh                                  Felix Schulthess
-CockpitDebris.mesh                            Benjamin de Capitani
-Cone.mesh                                     Felix Schulthess
 crate.mesh                                    Reto Grieder
-cube_green.mesh                               Reto Grieder
-cube.mesh                                     Felix Schulthess
-cube_orange.mesh                              Reto Grieder
-cube_red.mesh                                 Reto Grieder
-CuboidBody.mesh                               Mirko Kaiser
-CuboidConnBody.mesh                           Mirko Kaiser
-CuboidConnection.mesh                         Mirko Kaiser
-CuboidLandingZone.mesh                        Mirko Kaiser
 cwrench.mesh                                  Felix Schulthess
-DoubleCuboidBody.mesh                         Mirko Kaiser
 drone.mesh                                    unknown
 DuBall1.mesh                                  Rocco Bottani, Massimo Maffioli
@@ -53,23 +63,13 @@
 ogrehead.mesh                                 unknown
 pirate.mesh                                   Felix Schulthess
-plane.mesh                                    Reto Grieder
 planet.mesh                                   Felix Schulthess
 rocket.mesh                                   Daniel Cristen
-satellitedish.mesh                            Mirko Kaiser
 satellite.mesh                                Felix Schulthess
-SemiCircleCockpit.mesh                        Mirko Kaiser
-SmallPart1.mesh                               Benjamin de Capitani
-SmallPart2.mesh                               Benjamin de Capitani
-SolarPanel.mesh                               Mirko Kaiser
 spacecruiser.mesh                             unknown
 spacecruiser_16.mesh                          Felix Schulthess
-sphere.mesh                                   Felix Schulthess
 starship.mesh                                 unknown
 swallow_mat.mesh                              David Gassner
-Thruster.mesh                                 Mirko Kaiser
 Transporter.mesh                              Benjamin de Capitani
 UEATransporter036.mesh                        Axel Bomhauer-Beins
 UEATransporter036T.mesh                       Axel Bomhauer-Beins
-WingDebris1.mesh                              Benjamin de Capitani
-WingDebris2.mesh                              Benjamin de Capitani
 
Index: data/pool/models/assff/info.xml
===================================================================
--- data/pool/models/assff/info.xml	(revision 8159)
+++ data/pool/models/assff/info.xml	(revision 8160)
@@ -5,3 +5,4 @@
     <dependency>materials/assff.material</dependency>
     <dependency>images/textures/assff.JPG</dependency>
+    <screenshot>screenshot.png</screenshot>
 </info>
Index: data/pool/models/asteroids/rocky/TODO
===================================================================
--- data/pool/models/asteroids/rocky/TODO	(revision 8159)
+++ data/pool/models/asteroids/rocky/TODO	(revision 8160)
@@ -2,3 +2,3 @@
 * Add screenshots.
 * Add .blend files.
-* Add tetxure source files.
+* Add texture source files.
Index: data/pool/models/debris/assff/TODO
===================================================================
--- data/pool/models/debris/assff/TODO	(revision 8160)
+++ data/pool/models/debris/assff/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: data/pool/models/debris/assff/info.xml
===================================================================
--- data/pool/models/debris/assff/info.xml	(revision 8160)
+++ data/pool/models/debris/assff/info.xml	(revision 8160)
@@ -0,0 +1,6 @@
+<info>
+    <name>Assff debris</name>
+    <author>Benjamin de Capitani</author>
+    <dependency>materials/assff.material</dependency>
+    <dependency>images/textures/assff.JPG</dependency>
+</info>
Index: data/pool/models/primitives/axes/TODO
===================================================================
--- data/pool/models/primitives/axes/TODO	(revision 8160)
+++ data/pool/models/primitives/axes/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: data/pool/models/primitives/axes/info.xml
===================================================================
--- data/pool/models/primitives/axes/info.xml	(revision 8160)
+++ data/pool/models/primitives/axes/info.xml	(revision 8160)
@@ -0,0 +1,5 @@
+<info>
+    <name>Axes</name>
+    <author>Felix Schulthess</author>
+    <dependency>materials/axes.material</dependency>
+</info>
Index: data/pool/models/primitives/cone/TODO
===================================================================
--- data/pool/models/primitives/cone/TODO	(revision 8160)
+++ data/pool/models/primitives/cone/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source files.
Index: data/pool/models/primitives/cone/info.xml
===================================================================
--- data/pool/models/primitives/cone/info.xml	(revision 8160)
+++ data/pool/models/primitives/cone/info.xml	(revision 8160)
@@ -0,0 +1,6 @@
+<info>
+    <name>Cone</name>
+    <author>Felix Schulthess</author>
+    <dependency>materials/cone.material</dependency>
+    <dependency>images/textures/OrxonoxGREEN.png</dependency>
+</info>
Index: data/pool/models/primitives/cube/TODO
===================================================================
--- data/pool/models/primitives/cube/TODO	(revision 8160)
+++ data/pool/models/primitives/cube/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source files.
Index: data/pool/models/primitives/cube/info.xml
===================================================================
--- data/pool/models/primitives/cube/info.xml	(revision 8160)
+++ data/pool/models/primitives/cube/info.xml	(revision 8160)
@@ -0,0 +1,10 @@
+<info>
+    <name>Cube</name>
+    <author for="cube.mesh" >Felix Schulthess</author>
+    <author for="cube_yellow.mesh, cube_green.mesh, cube_red.mesh, cube_orange.mesh" >Reto Grieder</author>
+    <dependency>materials/cube.material</dependency>
+    <dependency for="cube.mesh, cube_yellow.mesh" >images/textures/OrxonoxYELLOW.png</dependency>
+    <dependency for="cube_green.mesh" >images/textures/OrxonoxGREEN.png</dependency>
+    <dependency for="cube_red.mesh" >images/textures/OrxonoxRED.png</dependency>
+    <dependency for="cube_orange.mesh" >images/textures/OrxonoxORANGE.png</dependency>
+</info>
Index: data/pool/models/primitives/plane/TODO
===================================================================
--- data/pool/models/primitives/plane/TODO	(revision 8160)
+++ data/pool/models/primitives/plane/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: data/pool/models/primitives/plane/info.xml
===================================================================
--- data/pool/models/primitives/plane/info.xml	(revision 8160)
+++ data/pool/models/primitives/plane/info.xml	(revision 8160)
@@ -0,0 +1,6 @@
+<info>
+    <name>Plane</name>
+    <author>Reto Grieder</author>
+    <dependency>materials/plane.material</dependency>
+    <dependency>images/textures/tiled_floor.jpg</dependency>
+</info>
Index: data/pool/models/primitives/sphere/TODO
===================================================================
--- data/pool/models/primitives/sphere/TODO	(revision 8160)
+++ data/pool/models/primitives/sphere/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: data/pool/models/primitives/sphere/info.xml
===================================================================
--- data/pool/models/primitives/sphere/info.xml	(revision 8160)
+++ data/pool/models/primitives/sphere/info.xml	(revision 8160)
@@ -0,0 +1,6 @@
+<info>
+    <name>Sphere</name>
+    <author>Felix Schulthess</author>
+    <dependency>materials/sphere.material<dependency>
+    <dependency>images/textures/OrxonoxRED.png<dependency>
+</info>
Index: data/pool/models/spacestation/TODO
===================================================================
--- data/pool/models/spacestation/TODO	(revision 8160)
+++ data/pool/models/spacestation/TODO	(revision 8160)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: data/pool/models/spacestation/info.xml
===================================================================
--- data/pool/models/spacestation/info.xml	(revision 8160)
+++ data/pool/models/spacestation/info.xml	(revision 8160)
@@ -0,0 +1,9 @@
+<info>
+    <name>Spacestation parts</name>
+    <author>Mirko Kaiser</author>
+    <dependency>materials/CuboidSpaceStation.material</dependency>
+    <dependency for="CuboidBody.mesh, CuboidConnBody.mesh, DoubleCuboidBody.mesh">images/textures/babel-wall1a.jpg</dependency>
+    <dependency for="CuboidLandingZone.mesh, Thruster.mesh">images/textures/babel-wall6a.jpg</dependency>
+    <dependency for="SemiCircleCockpit.mesh">images/textures/CockpitNose.jpg</dependency>
+    <dependency for="satellitedish.mesh">images/textures/dish.jpg</dependency>
+</info>