Index: /data/pool/models/AUTHORS
===================================================================
--- /data/pool/models/AUTHORS	(revision 8160)
+++ /data/pool/models/AUTHORS	(revision 8161)
@@ -2,6 +2,4 @@
 
 File                                          Author
-assff/assff.mesh                              Felix Schulthess
-assff/assff_lod_med.mesh                      Oliver Scheuss
 asteroids/plain/asteroid1.mesh                Benjamin de Capitani
 asteroids/plain/asteroid2.mesh                Benjamin de Capitani
@@ -24,6 +22,10 @@
 debris/assff/WingDebris2.mesh                 Benjamin de Capitani
 debris/assff/WingDebris1.mesh                 Benjamin de Capitani
+drone/drone.mesh                              unknown
+duBall/DuBall1.mesh                           Rocco Bottani, Massimo Maffioli
+duBall/DuBall2.mesh                           Rocco Bottani, Massimo Maffioli
 primitives/axes/axes.mesh                     Felix Schulthess
 primitives/cone/Cone.mesh                     Felix Schulthess
+primitives/crate/crate.mesh                   Reto Grieder
 primitives/cube/cube.mesh                     Felix Schulthess
 primitives/cube/cube_green.mesh               Reto Grieder
@@ -32,4 +34,12 @@
 primitives/plane/plane.mesh                   Reto Grieder
 primitives/sphere/sphere.mesh                 Felix Schulthess
+spaceships/assff/assff.mesh                   Felix Schulthess
+spaceships/assff/assff_lod_med.mesh           Oliver Scheuss
+spaceships/carrier/Carrier.mesh               Felix Schulthess
+spaceships/ghost/ghost.mesh                   David Gassner
+spaceships/pirate/pirate.mesh                 Felix Schulthess
+spaceships/spacecruiser/spacecruiser.mesh     unknown
+spaceships/spacecruiser/spacecruiser_16.mesh  Felix Schulthess
+spaceships/starship/starship.mesh             unknown
 spacestation/CuboidBody.mesh                  Mirko Kaiser
 spacestation/CuboidConnBody.mesh              Mirko Kaiser
@@ -42,12 +52,6 @@
 spacestation/Thruster.mesh                    Mirko Kaiser
 can.mesh                                      Hagen Seifert
-Carrier.mesh                                  Felix Schulthess
-crate.mesh                                    Reto Grieder
 cwrench.mesh                                  Felix Schulthess
-drone.mesh                                    unknown
-DuBall1.mesh                                  Rocco Bottani, Massimo Maffioli
-DuBall2.mesh                                  Rocco Bottani, Massimo Maffioli
 earth.mesh                                    Marian Runo
-ghost.mesh                                    David Gassner
 gwrench.mesh                                  Felix Schulthess
 h2_green.mesh                                 David Gassner
@@ -62,11 +66,7 @@
 LightningGun-s.mesh                           Joël Smely
 ogrehead.mesh                                 unknown
-pirate.mesh                                   Felix Schulthess
 planet.mesh                                   Felix Schulthess
 rocket.mesh                                   Daniel Cristen
 satellite.mesh                                Felix Schulthess
-spacecruiser.mesh                             unknown
-spacecruiser_16.mesh                          Felix Schulthess
-starship.mesh                                 unknown
 swallow_mat.mesh                              David Gassner
 Transporter.mesh                              Benjamin de Capitani
Index: /data/pool/models/drone/TODO
===================================================================
--- /data/pool/models/drone/TODO	(revision 8161)
+++ /data/pool/models/drone/TODO	(revision 8161)
@@ -0,0 +1,2 @@
+* Add .blend files.
+* Add texture source.
Index: /data/pool/models/drone/info.xml
===================================================================
--- /data/pool/models/drone/info.xml	(revision 8161)
+++ /data/pool/models/drone/info.xml	(revision 8161)
@@ -0,0 +1,8 @@
+<info>
+    <name>Assff</name>
+    <author>Felix Schulthess</author>
+    <author>Oliver Scheuss</author>
+    <dependency>materials/assff.material</dependency>
+    <dependency>images/textures/assff.JPG</dependency>
+    <screenshot>screenshot.png</screenshot>
+</info>
Index: /data/pool/models/duBall/TODO
===================================================================
--- /data/pool/models/duBall/TODO	(revision 8161)
+++ /data/pool/models/duBall/TODO	(revision 8161)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source.
Index: /data/pool/models/duBall/info.xml
===================================================================
--- /data/pool/models/duBall/info.xml	(revision 8161)
+++ /data/pool/models/duBall/info.xml	(revision 8161)
@@ -0,0 +1,8 @@
+<info>
+    <name>DuBall - Spacestation</name>
+    <author>Rocco Bottani</author>
+    <author>Massimo Maffioli</author>
+    <dependency>materials/DuBall.material</dependency>
+    <dependency for="DuBall1.mesh">images/textures/DuBall1.jpg</dependency>
+    <dependency for="DuBall2.mesh">images/textures/DuBall2.jpg</dependency>
+</info>
Index: /data/pool/models/primitives/crate/TODO
===================================================================
--- /data/pool/models/primitives/crate/TODO	(revision 8161)
+++ /data/pool/models/primitives/crate/TODO	(revision 8161)
@@ -0,0 +1,3 @@
+* Add screenshots.
+* Add .blend files.
+* Add texture source?
Index: /data/pool/models/primitives/crate/info.xml
===================================================================
--- /data/pool/models/primitives/crate/info.xml	(revision 8161)
+++ /data/pool/models/primitives/crate/info.xml	(revision 8161)
@@ -0,0 +1,6 @@
+<info>
+    <name>Crate</name>
+    <author>Reto Grieder</author>
+    <dependency>materials/crate.material</dependency>
+    <dependency>images/textures/crate.png</dependency>
+</info>
Index: /data/pool/models/spaceships/assff/TODO
===================================================================
--- /data/pool/models/spaceships/assff/TODO	(revision 8161)
+++ /data/pool/models/spaceships/assff/TODO	(revision 8161)
@@ -0,0 +1,2 @@
+* Add .blend files.
+* Add texture source.
Index: /data/pool/models/spaceships/assff/info.xml
===================================================================
--- /data/pool/models/spaceships/assff/info.xml	(revision 8161)
+++ /data/pool/models/spaceships/assff/info.xml	(revision 8161)
@@ -0,0 +1,8 @@
+<info>
+    <name>Assff</name>
+    <author for="assff.mesh">Felix Schulthess</author>
+    <author for="assff_lod_med.mesh">Oliver Scheuss</author>
+    <dependency>materials/assff.material</dependency>
+    <dependency>images/textures/assff.JPG</dependency>
+    <screenshot>screenshot.png</screenshot>
+</info>
Index: /data/pool/models/spaceships/carrier/TODO
===================================================================
--- /data/pool/models/spaceships/carrier/TODO	(revision 8161)
+++ /data/pool/models/spaceships/carrier/TODO	(revision 8161)
@@ -0,0 +1,4 @@
+* Add author.
+* Add texture dependencies.
+* Add .blend files.
+* Add texture source.
Index: /data/pool/models/spaceships/carrier/info.xml
===================================================================
--- /data/pool/models/spaceships/carrier/info.xml	(revision 8161)
+++ /data/pool/models/spaceships/carrier/info.xml	(revision 8161)
@@ -0,0 +1,6 @@
+<info>
+    <name>Carrier</name>
+    <author>Felix Schulthess</author>
+    <dependency>materials/Carrier.material</dependency>
+    <dependency>images/textures/seamless/sl_hull02.jpg</dependency>
+</info>
Index: /data/pool/models/spaceships/ghost/info.xml
===================================================================
--- /data/pool/models/spaceships/ghost/info.xml	(revision 8161)
+++ /data/pool/models/spaceships/ghost/info.xml	(revision 8161)
@@ -0,0 +1,6 @@
+<info>
+    <name>Ghost</name>
+    <author>David Gassner</author>
+    <dependency>materials/ghost.material</dependency>
+    <dependency>images/textures/ghost_complete-texture_Cube.jpg</dependency>
+</info>
Index: /data/pool/models/spaceships/starship/TODO
===================================================================
--- /data/pool/models/spaceships/starship/TODO	(revision 8161)
+++ /data/pool/models/spaceships/starship/TODO	(revision 8161)
@@ -0,0 +1,4 @@
+* Add screenshots.
+* Add author.
+* Add .blend files.
+* Add texture source.
Index: /data/pool/models/spaceships/starship/info.xml
===================================================================
--- /data/pool/models/spaceships/starship/info.xml	(revision 8161)
+++ /data/pool/models/spaceships/starship/info.xml	(revision 8161)
@@ -0,0 +1,5 @@
+<info>
+    <name>Starship</name>
+    <dependency>materials/starship.material</dependency>
+    <dependency>images/textures/starship.png</dependency>
+</info>